import { h, computed, withDirectives } from 'vue'
import { formInputViewProps } from '../../form-input-props'
import textareaDirectives from '../../../directives/textarea'
export default {
  props: formInputViewProps,
  setup (props) {
    const width = computed(() => {
      return props.config?.width ?? '100%'
    })
    return () => withDirectives(h('div', { style: { width: width.value } }), [[textareaDirectives, props.modelValue]])
  }
}
