# micro-app 使用说明
## 父应用
```shell
# 安装依赖
npm i -S @micro-zoe/micro-app
yarn add @micro-zoe/micro-app
pnpm i -S @micro-zoe/micro-app
```
```js
// vue.config.js
const  setCustomElement = require('@cip/components/cip-subapp-container/micro-app/set-custom-element')
chainWebpack: config=> {
  setCustomElement(config)
}
// main.js
import microApp from '@micro-zoe/micro-app'

microApp.start()

// routes.js

import { generateSubRoutes } from '@cip/components/cip-subapp-container/micro-app/util'
const subAppRoutes = generateSubRoutes([
  {name: 'meta', url: '/meta', baseRoute: '/meta'}, // 相对路径
  {name: 'aim', uri: 'http://127.0.0.1', baseRoute: '/aim'} // 绝对路径
])

```

## 子应用

```js
// main.js 
import '@cip/components/cip-subapp-container/micro-app/public-path.js'

// micro-app 渲染方式
if (window.__MICRO_APP_BASE_ROUTE__) {
  const props = {
    routerBase: window.__MICRO_APP_BASE_ROUTE__
  }
  // 获取上层下发的数据
  const dataListener = (data) => {
    props.state = data.store.state
    props.app = data.store.state.app // mete特有的数据
  }
  window.microApp.addDataListener(dataListener, true) // 监听父应用下发的数据
  
  render(props).then((res) => {
    console.timeEnd('render')
    const instance = res
    window.addEventListener('unmount', function () {
      instance.unmount()
      console.log('meta完成卸载')
    })
  })
} else {
  // 独立使用时的渲染方式
  render().then(res => {
    console.timeEnd('render')
    // 可进行一些操作
  })
}

// render/judge-framework
// judgeFramework 加入条件
if(window.__MICRO_APP_BASE_ROUTE__) return false

// vue-router 4.x 需要特别处理
if (window.__MICRO_APP_ENVIRONMENT__) {
  // 如果__MICRO_APP_BASE_ROUTE__为 `/基座应用基础路由/子应用基础路由/`，则应去掉`/基座应用基础路由`
  // 如果对这句话不理解，可以参考案例：https://github.com/micro-zoe/micro-app-demo
  const realBaseRoute = window.__MICRO_APP_BASE_ROUTE__
  router.afterEach((to) => {
    if (typeof window.history.state === 'object') {
      window.history.state.current = realBaseRoute + to.fullPath
    }
  })
}

```
