/**
 * 生产子应用路由
 * @param subConfig {Array.<Object>}
 * @param subConfig.name 子应用名称需要唯一
 * @param subConfig.url 子应用地址需要访问到html
 * @param subConfig.baseRoute 子应用的publicPath地址
 */
export const generateSubRoutes = (subConfig = []) => {
  return [].concat(subConfig).forEach(sub => ({
    path: `${sub.baseRoute}/:subPath(.*)*`,
    name: `${sub.name}Sub`,
    props: ({ params }) => ({
      baseRoute: sub.baseRoute,
      name: sub.name,
      url: sub.url,
      subPath: params.subPath
    }),
    component: () => import('@cip/components/cip-subapp-container/micro-app')
  }))
}
