import { computed } from 'vue'
import { ElButton } from 'element-plus'
import { useTable } from '../hooks/use-table'
import './index.less'
import { getUsingConfig } from '@cip/utils/util'
export default {
  name: 'CipTableButton',
  props: {
    type: {
      type: String,
      default: 'primary'
    },
    size: String,
    icon: {},
    disabled: Boolean
  },
  setup (props, { attrs, slots }) {
    const cipTable = useTable()
    const _size = computed(() => {
      return getUsingConfig(props.size, cipTable.size)
    })
    return () => <ElButton {...attrs} class={'cip-table-button'} disabled={props.disabled} type={'text'} size={_size.value} icon={props.icon}>
      {/* 修改danger类型的按钮 转换为primary [注： UI标准中无颜色区分] */}
      <span class={[{ [`cip-${props.type === 'danger' ? 'primary' : props.type}-color`]: !props.disabled }, 'hover']}>{slots.default?.()}</span>
    </ElButton>
    // return () => h(ElButton, {
    //   ...attrs,
    //   type: 'text',
    //   size: props.size,
    //   icon: props.icon
    // }, {
    //   default: () => <span class={[`cip-${props.type}-color`, 'hover']}>{slots.default?.()}</span>
    // })
  }
}
