import { defineComponent, defineAsyncComponent, h, computed } from 'vue'
export default defineComponent({
  name: 'MainFramework',
  props: {
    layout: String
  },
  setup (props, { slots }) {
    const FrameworkComponent = computed(() => {
      return defineAsyncComponent(
        () => import(`./${props.layout}`))
    })
    return () => h(FrameworkComponent.value, props, slots)
  }
})
